Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelMemberResponse (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelMemberResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelMemberResponse{
      archived_at: float() | nil,
      ban_expires: float() | nil,
      banned: boolean(),
      channel_role: String.t(),
      created_at: float(),
      custom: %{optional(String.t()) => any()},
      deleted_at: float() | nil,
      invite_accepted_at: float() | nil,
      invite_rejected_at: float() | nil,
      invited: boolean() | nil,
      is_moderator: boolean() | nil,
      notifications_muted: boolean(),
      pinned_at: float() | nil,
      role: (:owner | :admin | :moderator | :member) | nil,
      shadow_banned: boolean(),
      status: String.t() | nil,
      updated_at: float(),
      user: ExStreamClient.Model.UserResponse.t() | nil,
      user_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()